dots.v2.registry.byRegistry_name().garbageCollection.byGarbage_collection_uuid().put()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
deprecated
Usage
client.v2.registry.byRegistry_name(registry_name).garbageCollection.byGarbage_collection_uuid(garbage_collection_uuid).put(body: Update_registry, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | WithGarbage_collection_uuPutResponse>Description
Note: This endpoint is deprecated. Please use the /v2/registries endpoint instead.
To cancel the currently-active garbage collection for a registry,
send a PUT request to /v2/registry/{registry_name}/garbage-collection/{garbage_collection_uuid}
and specify one or more of the attributes below.
Parameters
Path Parameters
registry_namestring requiredExample:
exampleThe name of a container registry.
garbage_collection_uuidstring requiredExample:
eff0feee-49c7-4e8f-ba5c-a320c109c8a8The UUID of a garbage collection run.
Request Body
cancelboolean optionalExample:
trueA boolean value indicating that the garbage collection should be cancelled.
Request Sample
Response Example
More Information
See /v2/registry/{registry_name}/garbage-collection/{garbage_collection_uuid} in the API reference for additional detail on responses, headers, parameters, and more.